Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_PKCS5_PBKD2_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_ULONG | iterations
CK_UTF8CHAR_PTR | pPassword
CK_VOID_PTR | pPrfData
CK_PKCS5_PBKD2_PSEUDO_RANDOM_FUNCTION_TYPE | prf
CK_VOID_PTR | pSaltSourceData
CK_PKCS5_PBKDF2_SALT_SOURCE_TYPE | saltSource
CK_ULONG_PTR | ulPasswordLen
CK_ULONG | ulPrfDataLen
CK_ULONG | ulSaltSourceDataLen

## Detailed Description

Definition at line 1743 of file pkcs11t.h.

## Member Data Documentation

CK_ULONG CK_PKCS5_PBKD2_PARAMS::iterations

Definition at line 1747 of file pkcs11t.h.

CK_UTF8CHAR_PTR CK_PKCS5_PBKD2_PARAMS::pPassword

Definition at line 1751 of file pkcs11t.h.

CK_VOID_PTR CK_PKCS5_PBKD2_PARAMS::pPrfData

Definition at line 1749 of file pkcs11t.h.

CK_PKCS5_PBKD2_PSEUDO_RANDOM_FUNCTION_TYPE CK_PKCS5_PBKD2_PARAMS::prf

Definition at line 1748 of file pkcs11t.h.

CK_VOID_PTR CK_PKCS5_PBKD2_PARAMS::pSaltSourceData

Definition at line 1745 of file pkcs11t.h.

CK_PKCS5_PBKDF2_SALT_SOURCE_TYPE CK_PKCS5_PBKD2_PARAMS::saltSource

Definition at line 1744 of file pkcs11t.h.

CK_ULONG_PTR CK_PKCS5_PBKD2_PARAMS::ulPasswordLen

Definition at line 1752 of file pkcs11t.h.

CK_ULONG CK_PKCS5_PBKD2_PARAMS::ulPrfDataLen

Definition at line 1750 of file pkcs11t.h.

CK_ULONG CK_PKCS5_PBKD2_PARAMS::ulSaltSourceDataLen

Definition at line 1746 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h